# Uses of Interface
org.eclipse.swt.graphics.ImageFileNameProvider

Packages that use ImageFileNameProvider
Package
Description
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.swt.internal
SWT internal classes

## Uses of ImageFileNameProvider in org.eclipse.swt.graphics

Constructors in org.eclipse.swt.graphics with parameters of type ImageFileNameProvider
Modifier
Constructor
Description
``
`Image(Device device, ImageFileNameProvider imageFileNameProvider)`
Constructs an instance of this class by loading its representation from the file retrieved from the ImageFileNameProvider.

## Uses of ImageFileNameProvider in org.eclipse.swt.internal

Methods in org.eclipse.swt.internal with parameters of type ImageFileNameProvider
Modifier and Type
Method
Description
`static DPIUtil.ElementAtZoom<String>`
DPIUtil.`validateAndGetImagePathAtZoom(ImageFileNameProvider provider, int zoom)`
Gets the image file path that are appropriate for the specified zoom level together with the zoom level at which the image data are.